#
# spec file for package python-pytest-expect
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pytest-expect
Version:        1.1.0
Release:        lp151.2.2
Summary:        Py.test plugin to store test expectations and mark tests based on them
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/gsnedders/pytest-expect
Source:         https://pypi.io/packages/source/p/pytest-expect/pytest-expect-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module u-msgpack-python}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-pytest
Requires:       python-u-msgpack-python
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
A py.test plugin that stores test expectations by saving the set of
failing tests, allowing them to be marked as xfail when running them
in future. The tests expectations are stored such that they can be
distributed alongside the tests. However, note that test expectations
can only be reliably shared between Python 2 and Python 3 if they only
use ASCII characters in their node ids: this likely isn’t a limitation
if tests are using the normal Python format, as Python 2 only allows
ASCII characters in identifiers.


%prep
%setup -q -n pytest-expect-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes -s %{buildroot}%{$python_sitelib}

%check
%python_exec setup.py test

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst
%{python_sitelib}/pytest_expect
%{python_sitelib}/pytest_expect-%{version}-py%{python_version}.egg-info

%changelog
* Fri Mar 31 2017 aloisio@gmx.com
- Converted to single-spec
- Added tests
* Sun Mar 12 2017 arun@gmx.de
- specfile:
  * install requires pytest and u-msgpack-python
    (fixes and error with e.g. html5lib)
* Sun Jul 17 2016 arun@gmx.de
- initial version
